'use strict';
/* eslint-disable no-await-in-loop */
import { existsSync } from 'node:fs';
import { readFile } from 'node:fs/promises';
import { dirname, resolve } from 'node:path';
export async function getPackageDirectories(dxConfigFile) {
    const dxConfigFilePath = resolve(dxConfigFile);
    if (!existsSync(dxConfigFilePath)) {
        throw Error(`Salesforce DX Config File does not exist in this path: ${dxConfigFile}`);
    }
    const sfdxProjectRaw = await readFile(dxConfigFilePath, 'utf-8');
    const sfdxProject = JSON.parse(sfdxProjectRaw);
    const repoRoot = dirname(dxConfigFilePath);
    const packageDirectories = sfdxProject.packageDirectories.map((directory) => resolve(repoRoot, directory.path));
    return { repoRoot, packageDirectories };
}
//# sourceMappingURL=getPackageDirectories.js.map